This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 703407 - (CVE-2010-4543) CVE-2010-4543 Gimp: Heap-based buffer overflow in Paint Shop Pro (PSP) plug-in
CVE-2010-4543 Gimp: Heap-based buffer overflow in Paint Shop Pro (PSP) plug-in
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101231,reported=20101231,sou...
: Security
Depends On: 537809 537810 537811 703803 703804 706939 833903
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-10 05:42 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-05-10 05:42:39 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4543 to
the following vulnerability:

Heap-based buffer overflow in the read_channel_data function in file-psp.c
in the Paint Shop Pro (PSP) plugin in GIMP 2.6.11 allows remote attackers
to cause a denial of service (application crash) or possibly execute arbitrary
code via a PSP_COMP_RLE (aka RLE compression) image file that begins a long
run count at the end of the image. NOTE: some of these details are obtained
from third party information. 

References:
[1] http://openwall.com/lists/oss-security/2011/01/03/2
[2] http://openwall.com/lists/oss-security/2011/01/04/7
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=608497
[4] https://bugzilla.redhat.com/show_bug.cgi?id=666793
[5] http://osvdb.org/70284
[6] http://secunia.com/advisories/42771
[7] http://www.vupen.com/english/advisories/2011/0016
Comment 8 Jan Lieskovsky 2011-05-23 10:40:31 EDT
Created gimp tracking bugs for this issue

Affects: fedora-all [bug 706939]
Comment 9 Jan Lieskovsky 2011-05-23 10:42:16 EDT
Created gimp tracking bugs for this issue

Affects: fedora-all [bug 706939]
Comment 10 errata-xmlrpc 2011-05-31 09:54:12 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0839 https://rhn.redhat.com/errata/RHSA-2011-0839.html
Comment 11 errata-xmlrpc 2011-05-31 10:05:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0838 https://rhn.redhat.com/errata/RHSA-2011-0838.html
Comment 12 errata-xmlrpc 2011-05-31 10:05:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0837 https://rhn.redhat.com/errata/RHSA-2011-0837.html

Note You need to log in before you can comment on or make changes to this bug.